org.jboss.logging

## Annotation Type LogMessage

Deprecated.
Use org.jboss.logging.annotations.LogMessage provided in module org.jboss.logging:jboss-logging-annotations

    @Retention(value=CLASS)
     @Target(value=METHOD)
     @Documented
     @Deprecated
    public @interface LogMessage

A typed logger method. Indicates that this method will log the associated `Message` to the logger system, as opposed to being a simple message lookup.

Author:
  David M. Lloyd

### Optional Element Summary

Optional Elements
`Logger.Level` `level` Deprecated. The log level at which this message should be logged.
`Class<?>` `loggingClass` Deprecated. The logging class name to use for this message, if any.

### Element Detail

#### level

    public abstract Logger.Level level

Deprecated.
The log level at which this message should be logged. Defaults to `INFO`.

Returns:
  the log level

Default:
  org.jboss.logging.Logger.Level.INFO

#### loggingClass

    public abstract Class<?> loggingClass

Deprecated.
The logging class name to use for this message, if any.

Returns:
  the logging class name

Default:
  java.lang.Void.class